Domains
List Domains
Path Parameters
ID of pod.
Query Parameters
Limit of number of items returned.
Page token for pagination.
Sort in ascending temporal order.
Header Parameters
Bearer authentication
Response Body
application/json
application/json
curl -X GET "https://api.agentry.to/agent/v0/pods/string/domains" \ -H "Authorization: string"{
"count": 0,
"limit": 0,
"next_page_token": "string",
"domains": [
{
"pod_id": "string",
"domain_id": "string",
"domain": "string",
"status": "NOT_STARTED",
"feedback_enabled": true,
"client_id": "string",
"updated_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z"
}
]
}{
"name": "string",
"message": "string"
}Create Domain
Path Parameters
ID of pod.
Header Parameters
Bearer authentication
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://api.agentry.to/agent/v0/pods/string/domains" \ -H "Authorization: string" \ -H "Content-Type: application/json" \ -d '{ "domain": "string", "feedback_enabled": true }'{
"pod_id": "string",
"domain_id": "string",
"domain": "string",
"status": "NOT_STARTED",
"feedback_enabled": true,
"records": [
{
"type": "TXT",
"name": "string",
"value": "string",
"status": "MISSING",
"priority": 0
}
],
"client_id": "string",
"updated_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z"
}{
"name": "string",
"errors": null
}Get Domain
Path Parameters
ID of pod.
The ID of the domain.
Header Parameters
Bearer authentication
Response Body
application/json
application/json
curl -X GET "https://api.agentry.to/agent/v0/pods/string/domains/string" \ -H "Authorization: string"{
"pod_id": "string",
"domain_id": "string",
"domain": "string",
"status": "NOT_STARTED",
"feedback_enabled": true,
"records": [
{
"type": "TXT",
"name": "string",
"value": "string",
"status": "MISSING",
"priority": 0
}
],
"client_id": "string",
"updated_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z"
}{
"name": "string",
"message": "string"
}Update Domain
Path Parameters
ID of pod.
The ID of the domain.
Header Parameters
Bearer authentication
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Bounce and complaint notifications are sent to your inboxes.
Response Body
application/json
application/json
curl -X PATCH "https://api.agentry.to/agent/v0/pods/string/domains/string" \ -H "Authorization: string" \ -H "Content-Type: application/json" \ -d '{}'{
"pod_id": "string",
"domain_id": "string",
"domain": "string",
"status": "NOT_STARTED",
"feedback_enabled": true,
"records": [
{
"type": "TXT",
"name": "string",
"value": "string",
"status": "MISSING",
"priority": 0
}
],
"client_id": "string",
"updated_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z"
}{
"name": "string",
"message": "string"
}Delete Domain
Path Parameters
ID of pod.
The ID of the domain.
Header Parameters
Bearer authentication
Response Body
application/json
curl -X DELETE "https://api.agentry.to/agent/v0/pods/string/domains/string" \ -H "Authorization: string"{
"name": "string",
"message": "string"
}Get Zone File
Path Parameters
ID of pod.
The ID of the domain.
Header Parameters
Bearer authentication
Response Body
application/json
application/json
curl -X GET "https://api.agentry.to/agent/v0/pods/string/domains/string/zone-file" \ -H "Authorization: string"{
"domain_id": "string",
"domain": "string",
"records": [
{
"type": "string",
"name": "string",
"value": "string"
}
]
}{
"name": "string",
"message": "string"
}Verify Domain
Path Parameters
ID of pod.
The ID of the domain.
Header Parameters
Bearer authentication
Response Body
application/json
application/json
curl -X POST "https://api.agentry.to/agent/v0/pods/string/domains/string/verify" \ -H "Authorization: string"{
"pod_id": "string",
"domain_id": "string",
"domain": "string",
"status": "NOT_STARTED",
"feedback_enabled": true,
"records": [
{
"type": "TXT",
"name": "string",
"value": "string",
"status": "MISSING",
"priority": 0
}
],
"client_id": "string",
"updated_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z"
}{
"name": "string",
"message": "string"
}